/** @format */

import request from "@/utils/request";

// 查询申请端-用户信息列表
export function listUser(query) {
  return request({
    url: "/apply/user/list",
    method: "get",
    params: query,
  });
}

// 查询申请端-用户信息详细
export function getUser(id) {
  return request({
    url: "/apply/user/" + id,
    method: "get",
  });
}

// 新增申请端-用户信息
export function addUser(data) {
  return request({
    url: "/apply/user",
    method: "post",
    data: data,
  });
}

// 修改申请端-用户信息
export function updateUser(data) {
  return request({
    url: "/apply/user",
    method: "put",
    data: data,
  });
}

// 删除申请端-用户信息
export function delUser(id) {
  return request({
    url: "/apply/user/" + id,
    method: "delete",
  });
}
